Skip to navigation

Delete InfiniBand Partition

View as Markdown

Delete a specific InfiniBand Partition by ID.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Tenant must own the Partition.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
infiniBandPartitionIdstringRequired
ID of the InfiniBand Partition

Response

Deletion request was accepted
messagestring

Human-readable outcome of the request

Errors

403
Forbidden Error